Get presentations
curl --request GET \
--url https://test.didxtech.com/me-creds/api/presentations \
--header 'Authorization: Bearer <token>'import requests
url = "https://test.didxtech.com/me-creds/api/presentations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test.didxtech.com/me-creds/api/presentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "cmbhsgi6c00cls60120oyb8tl",
"createdAt": "2025-06-04T10:12:20.101Z",
"updatedAt": "2025-06-04T10:12:20.101Z",
"status": "requested",
"error": null,
"notice": null,
"presentationTemplateId": "cma2nw2vd00sos601irn14wt1",
"credentials": [
{
"isValid": true,
"format": "sd-jwt-vc",
"name": "Identity",
"type": "https://test.didxtech.com/vct/acme-university/identity",
"issuer": {
"type": "did",
"did": "did:web:test.didxtech.com:metadata:3c9d79ef-6aca-4f3e-b2ab-1f2933b7fe90"
},
"attributes": {
"name": "Johny",
"surname": "Postman"
},
"issues": [],
"trustSignals": []
}
],
"expiresAt": "2025-07-04T10:12:20.088Z",
"authorizationRequestUri": "https://creds-app.test.didxtech.com/invitation?request_uri=https%3A%2F%2Fcreds-app.test.didxtech.com%2Finvitation%2F421b518d-ad91-4802-ab25-3a83c9f7f44e%2Fauthorization-requests%2F92c2b88e-9a3d-4ca4-a33f-8687588d0f6b%3Fraw%3Dtrue&client_id=did%3Aweb%3Atest.didxtech.com%3Ametadata%3A3c9d79ef-6aca-4f3e-b2ab-1f2933b7fe90",
"authorizationRequestQrUri": "https://creds-app.test.didxtech.com/invitation?request_uri=https%3A%2F%2Fcreds-app.test.didxtech.com%2Finvitation%2F421b518d-ad91-4802-ab25-3a83c9f7f44e%2Fauthorization-requests%2F92c2b88e-9a3d-4ca4-a33f-8687588d0f6b%3Fraw%3Dtrue&qr=true"
}
],
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"error": "<string>",
"details": "<string>"
}Presentations API
Get presentations
deprecated
GET
/
presentations
Get presentations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter presentation requests by their unique identifier
Example:
"cmbhsgi6c00cls60120oyb8tl"
Filter presentation requests by their current status (e.g., "requested", "verified", "expired")
Example:
"verified"
Filter presentation requests by their template identifier
Example:
"cma2nw2vd00sos601irn14wt1"
Sort order for the results. Prefix with "-" for descending order
Available options:
id, -id, createdAt, -createdAt, updatedAt, -updatedAt Example:
"-createdAt"
Number of items to return per page (1-100)
Required range:
1 <= x <= 100Example:
10
Cursor for pagination - return items before this ID value
Example:
"cmbhsgi6c00cls60120oyb8tl"
Cursor for pagination - return items after this ID value
Example:
"cmbhsgi6c00cls60120oyb8tl"
⌘I

